body {
    font-family: Arial, sans-serif;
    margin: 0;
    background-color: #f6f6f6;
    padding: 50px 0;
    display: flex;
    justify-content: center;
    align-items: center;

}

.container {
    background: #fff;
    padding: 40px;
    border-radius: 16px;
    width: 100%;
    max-width: 520px;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.08);
    border: 1px solid #f0f0f0;
    transition: all 0.3s ease;
}

.container:hover {
    box-shadow: 0 12px 32px rgba(0, 0, 0, 0.12);
}

#firmaSecimi
{

   font-family: Arial, sans-serif;
    margin: 0;
    background-color: #f6f6f6; 
}

h2 {
    margin-top: 0;
    margin-bottom: 20px;
    font-size: 22px;
    font-weight: 600;
    color: #1f2937;
    text-align: center;
}

.form-group {
    display: flex;
    flex-direction: column;
    align-items: stretch;
}

.form-group label {
    font-weight: bold;
    font-size: 14px;
    color: #333;
    margin-bottom: 6px;
    display: block;
    margin-top: 1rem;
}

.form-group select {
    width: 100%;
    padding: 0.5rem;
    border-radius: 6px;
    border: 1px solid #ccc;
    background-color: #f9fafb;
    font-size: 14px;
}

input[type="file"] {
    display: block;
    width: 100%;
    border-radius: 8px;
    border: 1px solid #ccc;
    background-color: #f9fafb;
    font-size: 14px;
}

button {
    width: 100%;
    padding: 12px;
    font-size: 16px;
    background-color: #b11e29;
    color: white;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: 0 0 0 transparent;
}

button:hover {
    background-color: #a21c25;
    box-shadow: 0 0 12px rgba(177, 30, 41, 0.6);
}

#status {
    margin-top: 20px;
    white-space: pre-wrap;
    background: #f9f9f9;
    padding: 10px 15px;
    border-radius: 8px;
    border: 1px solid #e0e0e0;
    font-size: 14px;
    color: #333;
    max-height: 200px;
    overflow-y: auto;
}

#csvFile {
    height: 60px;
    padding: 12px 0;}

#fileList {
    list-style: none;
    padding: 0;
    margin-top: 10px;
    max-height: 150px;
    overflow-y: auto;
    border: 1px solid #ccc;
    border-radius: 8px;
    background-color: #f9fafb;
}

#fileList li {
    padding: 8px 12px;
    border-bottom: 1px solid #eee;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 14px;
}

#fileList li:last-child {
    border-bottom: none;
}

#fileList button {
    background-color: transparent;
    border: none;
    color: #b11e29;
    font-weight: bold;
    cursor: pointer;
    font-size: 16px;
}